Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 217883 - System hangs when shutting down
Summary: System hangs when shutting down
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
: 217884 (view as bug list)
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2006-11-30 16:29 UTC by Zhu Wang
Modified: 2008-02-08 04:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:25:17 UTC


Attachments (Terms of Use)

Description Zhu Wang 2006-11-30 16:29:16 UTC
Description of problem:

On a HP Omnibook XE3 after I upgraded from
FC-4 to FC-6. When I selected "logout"-> "Turnoff computer", the system would
hang there after the following messages:

...
Halting system...
md: stopping all md devices
shutdown: hda
system halted
Version-Release number of selected component (if applicable):
FC6 X86 fully upgraded from FC4

How reproducible:

Happens every time after I upgraded from FC4

Steps to Reproduce:
1.select "logout"
2.select Turnoff computer
3.
  
Actual results:
...
Halting system...
md: stopping all md devices
shutdown: hda
system halted

then the system hangs and I have to manually press the power button to shut the
system.

Expected results:

The system should proceed through its shut down process.
Additional info:
I have disabled acpi but it doesn't help. Also I tried to boot the system single
user (3), logged in as root
and executed "poweroff", the same problem. I had to shut the power button to
poweroff.

Comment 1 Adam Jackson 2006-12-15 21:10:50 UTC
*** Bug 217884 has been marked as a duplicate of this bug. ***

Comment 2 Jack Malmostoso 2006-12-30 13:38:25 UTC
Hi there,

I have found a workaround for this "bug". I assume something has changed in the 
ACPI handling of machines with BIOSes older than 2000.
I have added "acpi=force" to my menu.lst and my old PIII550 on a BX440 
motherboard with a 1999 BIOS now shuts down correctly.

I suggest reassigning this bug to the package Grub (or even anaconda?) and the 
introduction of a patch that checks for the BIOS date and adds such a kernel 
argument on creation of the default menu.lst.

Thanks for your work!

Comment 3 Jon Stanley 2008-01-08 01:52:31 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 4 Jon Stanley 2008-02-08 04:25:17 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.